Skip to main content
POST
Start a remote charging session

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

userId
string
required

The unique identifier of the user who will own the charging session

Body

application/json

request

Request payload to start a charging session remotely.

connectorId
string
required

Connector identifier to start charging on.

Example:

"O9UXK+YI5Q6i0FoI4qHwcA=="

Response

SessionId will always be present, unless CREDIT_CARD reservation for a user is required during authentication, then either sessionId or threeDSClientSecret will be present.

sessionId
string

This session id should be stored and used in other endpoints.

Example:

"AAdmD55q8Vz"

threeDSClientSecret
string

Will only be available for users with CREDIT_CARD payment methods, when CHALLENGE mode has been enabled for 3DS challenges. The 3DS client secret can be used to complete a payment from your frontend. If not present, no user authentication is required to start the session.

Example:

"pi_3MtwBwLkdIwHu8ix28v3tqPa_secret_YrKJUkribcBjcG7HVhfZluoGH"